3

I have test currently my site on https://www.magereport.com and it's says to install some security patch. like

Security patch 6482 (XSS),

Security patch 7405, 

Security patch 6788 (secrets leak), 

Security patch 5344 (Shoplift),

Security patch 6285 (XSS, RSS).

I don't know how to fixed this. if i am directly install on my site any risk to loss or break the site?

1

Before applying any patches it would be better to backup your database as well as all files for safety.

Check first how many patches installed. Patch sequence as below.

->PATCH_SUPEE-1533

->PATCH_SUPEE-5344

->PATCH_SUPEE-5994

->PATCH_SUPEE-6285

->PATCH_SUPEE-6482

->PATCH_SUPEE-6788

->PATCH_SUPEE-7405 ver 1

->PATCH_SUPEE-7405 ver 1.1

How to apply patches will useful to you.

0

You should install these patch one by one. Here is how to install patch.

You should go to app/etc/applied.patches.list and check which one is installed.

I would suggest you to install all of the available patches, since they fix loads of bugs.

By accessing magento my account (recommended) or in below link you will find all the available patches:

https://magento.com/security/patches

Remember, each patch depends upon another, so you must apply those patches from first to last.

Obviously, before applying these patches to live site, you should test them in testing site to make sure everything is ok.

When downloading patch, make sure you choose the right version of your magento.

Some of the issue you may come across:

Checking if patch can be applied/reverted successfully...

ERROR: Patch can't be applied/reverted successfully.

  1. Why does PATCH_SUPEE-6788 appear to have no effect on a 1.7.0.2 installation?
  2. Security Patch SUPEE-7405 - possible problems?
  3. Magento Patch 7405 v1.1 update error
  4. etc.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.